+++
title = "Installation"
weight = 1
+++

## Clone repository

Clone repository in your favorite folder projects.

```
git clone https://git.cuates.net/elmau/easymacro
```

and copy library into pythonpath in your macros.

```
/home/USER/.config/libreoffice/4/user/Scripts/python/pythonpath/easymacro.py
```

or used hard link. Replace `ABSOLUTE_PATH` for absolute path in your system and `USER` for your real name user.

```
ln ABSOLUTE_PATH/easymacro/source/easymacro.py /home/USER/.config/libreoffice/4/user/Scripts/python/pythonpath/
```


## Test

In your favorite macros file, for example `mymacros.py`:

```
vim /home/USER/.config/libreoffice/4/user/Scripts/python/mymacros.py
```

copy this code:

```python
import easymacro as app

def main():
    app.msgbox(app.INFO_DEBUG)
    return
```

and execute from LibreOffice, if you see similar next info, great!

![Test instalation](install_01.png)

you are ready for develop with easymacro.

Happy develop!
